Status: Closed Priority: High

Author: Vangelis Koukis Category: Astakos

Created: 01/24/2012 Assignee:

Updated: 02/08/2013 Due date:

Subject: Document authentication workflow

Description

Please write a short description detailing the entire authentication process, from the moment an anauthenticated client connects to a

service backed by astakos, to the moment the client is authenticated and has an API token.

There are at least two distinct use cases:

a) protection of web-based services

b) protection of API calls: get an API token, use it to authenticate against an astakos-backed API

Please document the entire workflow: clients, servers, cookies, tokens, for each of the above two use cases, and any other cases you can

identify.

This is a prerequisite for Alpha2 deployment.

Associated revisions

Revision 462c63e8 - 02/09/2012 12:10 pm - Sofia Papagiannaki 

more documentation

Refs: #1928

Revision 462c63e8 - 02/09/2012 12:10 pm - Sofia Papagiannaki 

more documentation

Refs: #1928

Revision ebb3c3bb - 02/09/2012 03:23 pm - Sofia Papagiannaki 

commit documentation images

Refs: #1928

Revision ebb3c3bb - 02/09/2012 03:23 pm - Sofia Papagiannaki 

commit documentation images

Refs: #1928

History
#1 - 02/06/2012 06:24 pm - Antony Chazapis

- Target version set to 0.2.0

#2 - 02/10/2012 01:35 pm - Antony Chazapis

- Status changed from Assigned to Resolved

- Target version changed from 0.2.0 to 0.1.0

#3 - 02/15/2012 02:20 pm - Antony Chazapis

- Status changed from Resolved to Closed

#4 - 02/08/2013 07:14 pm - Vangelis Koukis

- Project changed from astakos to Synnefo

- Target version deleted (0.1.0)

#5 - 02/08/2013 07:14 pm - Vangelis Koukis

- Category set to Astakos
